Bug 1595031 (CVE-2018-12366) - CVE-2018-12366 Mozilla: Invalid data handling during QCMS transformations
Summary: CVE-2018-12366 Mozilla: Invalid data handling during QCMS transformations
Status: NEW
Alias: CVE-2018-12366
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180626,repor...
Keywords: Security
Depends On: 1590694 1590696 1590697 1598644 1598645 1598646 1607204
Blocks: 1590698
TreeView+ depends on / blocked
 
Reported: 2018-06-26 01:52 UTC by Doran Moppert
Modified: 2018-07-24 21:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2112 None None None 2018-06-28 16:19 UTC
Red Hat Product Errata RHSA-2018:2113 None None None 2018-06-28 16:19 UTC
Red Hat Product Errata RHSA-2018:2251 None None None 2018-07-24 21:34 UTC
Red Hat Product Errata RHSA-2018:2252 None None None 2018-07-24 21:34 UTC

Description Doran Moppert 2018-06-26 01:52:30 UTC
An invalid grid size during QCMS (color profile) transformations can result in the out-of-bounds read interpreted as a float value. This could leak private data into the output. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-16/#CVE-2018-12366

Comment 1 Doran Moppert 2018-06-26 01:52:34 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: OSS-Fuzz

Comment 5 errata-xmlrpc 2018-06-28 16:18:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2112 https://access.redhat.com/errata/RHSA-2018:2112

Comment 6 errata-xmlrpc 2018-06-28 16:19:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2113 https://access.redhat.com/errata/RHSA-2018:2113

Comment 9 errata-xmlrpc 2018-07-24 21:34:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2252 https://access.redhat.com/errata/RHSA-2018:2252

Comment 10 errata-xmlrpc 2018-07-24 21:34:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2251 https://access.redhat.com/errata/RHSA-2018:2251


Note You need to log in before you can comment on or make changes to this bug.